Author Topic: moved objects label  (Read 1978 times)

0 Members and 1 Guest are viewing this topic.

ELOQUINTET

  • Guest
moved objects label
« on: November 09, 2006, 11:03:36 AM »
i wasn't sure what to call this topic but just had a thought and wondered if anyone had already come up with it. when i am working with assemblies and only need to focus on one part of it i will often move the other parts to the side then move them back once i'm done. what i usually do is move them say 5000 units up then i type 5000 beside the objects so i know the distance i need to move it to rejoin the assembly. what i was thinking of is some way of automating this process. i would like to select the objects then be prompted which direction i want to move them and how far. then once i move them beside them it would put the number of units and perhaps an arrow indicating which direction to move them to rejoin the assembly. am i making sense to anyone or maybe someone has a better method of handling this. it would be great if i could use layers but alas we don't use layers much here. any advice?

uncoolperson

  • Guest
Re: moved objects label
« Reply #1 on: November 09, 2006, 11:25:27 AM »
couldn't this be done with a reactor
say

when you move something
draw a big yellow line from where things used to be to where they are now
write the dimensions of this line somewhere
when you move it back remove the big yellow line, and the text

i'd think hacking up one of the many flag note setups people have would do this for you
« Last Edit: November 09, 2006, 11:27:08 AM by uncoolperson »

T.Willey

  • Needs a day job
  • Posts: 5251
Re: moved objects label
« Reply #2 on: November 09, 2006, 11:31:20 AM »
You can move it with one command, and move it back with another.  The first move (away) could prompt from direction (angle) and distance.  Then it will move the object(s) selected, and store the information in the entity's extension dictionary.  Then when you use the move back command all you have to do is pick the object(s) and it will know what to do.

I do the same thing, no code as of yet, but sounds like it could be a good thing.  Maybe when I have time I will see what I can come up with.

/thinking out loud
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Guest

  • Guest
Re: moved objects label
« Reply #3 on: November 09, 2006, 11:45:56 AM »
The verticals have an "Isolate Objects" tool in the lower-right hand corner (not sure if Vanilla has that).

You can isolate objects.  Unlike isolating a layer, you can isolate multiple objects on various layers wtihout actually turning off/freezing layers.  This way you don't have to worry about 1) how far did you move the objects 2) was ortho turned on or off.

That might be an option (if it's available to you).


T.Willey

  • Needs a day job
  • Posts: 5251
Re: moved objects label
« Reply #4 on: November 09, 2006, 11:56:01 AM »
You can turn on/off visible for any object, it is just a property of that object.
Code: [Select]
(setq obj (vlax-ename->vla-object (car (entsel))))
(vla-put-visible obj :vlax-false)
This will make the object selected turned off, now to turn it back on
Code: [Select]
(vla-put-visible obj :vlax-true)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

ELOQUINTET

  • Guest
Re: moved objects label
« Reply #5 on: November 09, 2006, 12:17:22 PM »
hey guys thanks for all of the replies. i was thinking of something pretty dirty that would just throw a label beside what i moved. it seems you could just take what the user inputs at the prompts and reverse it for the creation of the label. i realize it could be made to do it all for you but i prefer a simple label i can move it myself.

uncoolperson

  • Guest
Re: moved objects label
« Reply #6 on: November 09, 2006, 12:50:57 PM »
based off idea in  T.Willey's post

it's not that great, but i had to... seemed like fun

ELOQUINTET

  • Guest
Re: moved objects label
« Reply #7 on: November 09, 2006, 01:27:43 PM »
yeeeeeess uncool that works great. the only modification i did was change remove and unmove to moveout and movein and the routine to moving. my apprehension with this method at first was that it wouldn't remember the positions once autocad was closed and reopened but it does sweeeeet. you guys rule thanks

uncoolperson

  • Guest
Re: moved objects label
« Reply #8 on: November 09, 2006, 01:42:40 PM »
yeeeeeess uncool that works great. the only modification i did was change remove and unmove to moveout and movein and the routine to moving. my apprehension with this method at first was that it wouldn't remember the positions once autocad was closed and reopened but it does sweeeeet. you guys rule thanks

you touched it last, it's yours!

you should probably add some error checking, it could very well blow up.

also... uses sssets for moveout and moveint... what was unmove can take entities that where parts of different 'moves' because the data is stored in each entity...

so you can blow the whole assembly apart piece by piece, then reassemble all at once.